package com.palmnest.application.dto.output;

import java.io.Serializable;

public class EmigrationDto  implements Serializable{
	private Integer id;
	private String enterNumber;//企业迁出编码
	private String orgId;//楼宇
	private String applyAdress;//申请地址
	private String applyFloor;//申请楼层
	private String virName;//企业名称
	private String otherExplain;//其他说明
	private String otherRecord;//其他记录
	private String status;//状态(0客服主管，1客服，2工程人员，3通过，4拒绝)
	private String repairNumber;//维修单编码
	private int custServiceId;//跟进客服
	private int engPersonId;//跟进工程人员
	private String customerService;//跟进客服
	private String engPerson;//跟进工程人员
	private int waterInfoType;//1未提交2已提交
	private int isSendSettle;//是否发送结算   //1未发送2已发送
	private String reason;//原因
	private String emigType;//迁出类型
	private String emigReason;//迁出原因
	private String emigNewWay;//迁出发起方式
	private String peasonPower;//登录账号的权限  1客服主管2跟进客服3跟进工程4既有客服主管又有跟进客服
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getEnterNumber() {
		return enterNumber;
	}
	public void setEnterNumber(String enterNumber) {
		this.enterNumber = enterNumber;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public String getApplyAdress() {
		return applyAdress;
	}
	public void setApplyAdress(String applyAdress) {
		this.applyAdress = applyAdress;
	}
	public String getApplyFloor() {
		return applyFloor;
	}
	public void setApplyFloor(String applyFloor) {
		this.applyFloor = applyFloor;
	}
	public String getVirName() {
		return virName;
	}
	public void setVirName(String virName) {
		this.virName = virName;
	}
	public String getOtherExplain() {
		return otherExplain;
	}
	public void setOtherExplain(String otherExplain) {
		this.otherExplain = otherExplain;
	}
	public String getOtherRecord() {
		return otherRecord;
	}
	public void setOtherRecord(String otherRecord) {
		this.otherRecord = otherRecord;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getRepairNumber() {
		return repairNumber;
	}
	public void setRepairNumber(String repairNumber) {
		this.repairNumber = repairNumber;
	}
	public int getCustServiceId() {
		return custServiceId;
	}
	public void setCustServiceId(int custServiceId) {
		this.custServiceId = custServiceId;
	}
	public int getEngPersonId() {
		return engPersonId;
	}
	public void setEngPersonId(int engPersonId) {
		this.engPersonId = engPersonId;
	}
	public String getCustomerService() {
		return customerService;
	}
	public void setCustomerService(String customerService) {
		this.customerService = customerService;
	}
	public String getEngPerson() {
		return engPerson;
	}
	public void setEngPerson(String engPerson) {
		this.engPerson = engPerson;
	}
	public int getWaterInfoType() {
		return waterInfoType;
	}
	public void setWaterInfoType(int waterInfoType) {
		this.waterInfoType = waterInfoType;
	}
	public int getIsSendSettle() {
		return isSendSettle;
	}
	public void setIsSendSettle(int isSendSettle) {
		this.isSendSettle = isSendSettle;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	
	
	public String getEmigType() {
		return emigType;
	}
	public void setEmigType(String emigType) {
		this.emigType = emigType;
	}
	public String getEmigReason() {
		return emigReason;
	}
	public void setEmigReason(String emigReason) {
		this.emigReason = emigReason;
	}
	
	
	
	public String getPeasonPower() {
		return peasonPower;
	}
	public void setPeasonPower(String peasonPower) {
		this.peasonPower = peasonPower;
	}
	public String getEmigNewWay() {
		return emigNewWay;
	}
	public void setEmigNewWay(String emigNewWay) {
		this.emigNewWay = emigNewWay;
	}
	public EmigrationDto(Integer id, String enterNumber, String orgId,
			String applyAdress, String applyFloor, String virName,
			String otherExplain, String otherRecord, String status,
			String repairNumber, int custServiceId, int engPersonId,
			String customerService, String engPerson, int waterInfoType,
			int isSendSettle, String reason, String emigType, String emigReason,String emigNewWay,String peasonPower) {
		super();
		this.id = id;
		this.enterNumber = enterNumber;
		this.orgId = orgId;
		this.applyAdress = applyAdress;
		this.applyFloor = applyFloor;
		this.virName = virName;
		this.otherExplain = otherExplain;
		this.otherRecord = otherRecord;
		this.status = status;
		this.repairNumber = repairNumber;
		this.custServiceId = custServiceId;
		this.engPersonId = engPersonId;
		this.customerService = customerService;
		this.engPerson = engPerson;
		this.waterInfoType = waterInfoType;
		this.isSendSettle = isSendSettle;
		this.reason = reason;
		this.emigType = emigType;
		this.emigReason = emigReason;
		this.emigNewWay=emigNewWay;
		this.peasonPower=peasonPower;
	}
}
